﻿namespace MergeDocuments
{
    using System.Windows;
    using System.Windows.Controls;
    using Telerik.Windows.Documents;
    using Telerik.Windows.Documents.Model;

    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
        }

        private void insertDocument_Click(object sender, RoutedEventArgs e)
        {
            var section = new Section();
            var p = new Paragraph();

            FieldRangeStart start = new FieldRangeStart();
            FieldRangeEnd end = new FieldRangeEnd();
            end.Start = start;

            start.Field = new DateField();
            Span span = new Span("{DATE}");

            //start.Field = new NumPagesField();
            //Span span = new Span("{PAGE}");
            
            p.Inlines.Add(start);
            p.Inlines.Add(span);
            p.Inlines.Add(end);

            section.Blocks.Add(p);
            var doc = new RadDocument();
            doc.Sections.Add(section);
            DocumentFragment fragment = new DocumentFragment(doc);
            
            this.radRichTextBox.InsertFragment(fragment);          
        }
    }
}
